use warnings;
use strict;
use lib '/usr/local/xkpasswd';
use XKpasswd;

# build up the config for the XKpasswd object,
# starting with the required fields
my $xkpasswd_config = {
    dictionary_file => '/usr/local/xkpasswd/dict.txt_wrong',
    min_word_length => 4,
    max_word_length => 8,
    num_words => 3,
    case_transform => 'CAPITAL',
    custom_separator => '+',
    prepend_numbers => 0,
    append_numbers => 3,
    pad_char => '!',
    pre_pad => 5,
    post_pad => 5,
};

# instantiate an XKpasswd object with the config we built
my $xkpasswd = XKpasswd->new($xkpasswd_config);

# generate a random password and print it
print $xkpasswd->generate_password();